HtmlMenuGroup (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.component.html.HtmlMenuGroup class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlMenuGroup

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.richfaces.component.UIMenuGroup
                      org.richfaces.component.html.HtmlMenuGroup

All Implemented Interfaces:
  javax.faces.component.StateHolder, javax.faces.component.ValueHolder

    public class HtmlMenuGroup

extends UIMenuGroup

Component-Type org.richfaces.MenuGroup Component-Family org.richfaces.DropDownMenu Renderer-Type org.richfaces.MenuGroupRenderer Defines expandable group of items inside popup list or another group. Should accept only "menuItem", "menuGroup" and "menuSeparator" components as children.

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Constructor Summary
`HtmlMenuGroup()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getDirection()` Defines direction of the popup sublist to appear (right, left, auto(Default), left-down, left-up, right-down, right-up) Getter for direction
`java.lang.String` | `getEvent()` Defines the event on the representation element that triggers the menu's appearance Getter for event
`java.lang.String` | `getFamily()`
`java.lang.String` | `getIcon()` Path to the icon to be displayed for the enabled item state Getter for icon
`java.lang.String` | `getIconClass()` Class to be applied to icon element Getter for iconClass
`java.lang.String` | `getIconDisabled()` Path to the icon to be displayed for the disabled item state Getter for iconDisabled
`java.lang.String` | `getIconFolder()` Path to the folder icon to be displayed for the enabled item state Getter for iconFolder
`java.lang.String` | `getIconFolderDisabled()` Path to the folder icon to be displayed for the enabled item state Getter for iconFolderDisabled
`java.lang.String` | `getIconStyle()` CSS style rules to be applied to icon element Getter for iconStyle
`java.lang.String` | `getOnclose()` HTML: script expression; group was closed Getter for onclose
`java.lang.String` | `getOnmousemove()` HTML: a script expression; a pointer is moved within Getter for onmousemove
`java.lang.String` | `getOnmouseout()` HTML: a script expression; a pointer is moved away Getter for onmouseout
`java.lang.String` | `getOnmouseover()` HTML: a script expression; a pointer is moved onto Getter for onmouseover
`java.lang.String` | `getOnopen()` HTML: script expression; group was opened Getter for onopen
`java.lang.String` | `getSelectClass()` Class to be applied to selected items Getter for selectClass
`java.lang.String` | `getSelectStyle()` CSS style rules to be applied to selected items Getter for selectStyle
`java.lang.Integer` | `getShowDelay()` Delay between event and menu showing Getter for showDelay
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute Getter for styleClass
`boolean` | `isDisabled()` If "true" sets state of the item to disabled state.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setDirection(java.lang.String __direction)` Defines direction of the popup sublist to appear (right, left, auto(Default), left-down, left-up, right-down, right-up) Setter for direction
`void` | `setDisabled(boolean __disabled)` If "true" sets state of the item to disabled state.
`void` | `setEvent(java.lang.String __event)` Defines the event on the representation element that triggers the menu's appearance Setter for event
`void` | `setIcon(java.lang.String __icon)` Path to the icon to be displayed for the enabled item state Setter for icon
`void` | `setIconClass(java.lang.String __iconClass)` Class to be applied to icon element Setter for iconClass
`void` | `setIconDisabled(java.lang.String __iconDisabled)` Path to the icon to be displayed for the disabled item state Setter for iconDisabled
`void` | `setIconFolder(java.lang.String __iconFolder)` Path to the folder icon to be displayed for the enabled item state Setter for iconFolder
`void` | `setIconFolderDisabled(java.lang.String __iconFolderDisabled)` Path to the folder icon to be displayed for the enabled item state Setter for iconFolderDisabled
`void` | `setIconStyle(java.lang.String __iconStyle)` CSS style rules to be applied to icon element Setter for iconStyle
`void` | `setOnclose(java.lang.String __onclose)` HTML: script expression; group was closed Setter for onclose
`void` | `setOnmousemove(java.lang.String __onmousemove)` HTML: a script expression; a pointer is moved within Setter for onmousemove
`void` | `setOnmouseout(java.lang.String __onmouseout)` HTML: a script expression; a pointer is moved away Setter for onmouseout
`void` | `setOnmouseover(java.lang.String __onmouseover)` HTML: a script expression; a pointer is moved onto Setter for onmouseover
`void` | `setOnopen(java.lang.String __onopen)` HTML: script expression; group was opened Setter for onopen
`void` | `setSelectClass(java.lang.String __selectClass)` Class to be applied to selected items Setter for selectClass
`void` | `setSelectStyle(java.lang.String __selectStyle)` CSS style rules to be applied to selected items Setter for selectStyle
`void` | `setShowDelay(java.lang.Integer __showDelay)` Delay between event and menu showing Setter for showDelay
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute Setter for styleClass

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlMenuGroup

    public HtmlMenuGroup()

  Constructor to init default renderers

Method Detail

### setOnclose

    public void setOnclose(java.lang.String __onclose)

  HTML: script expression; group was closed Setter for onclose

  Parameters:
    `onclose` - - new value

### getOnclose

    public java.lang.String getOnclose()

  HTML: script expression; group was closed Getter for onclose

  Returns:
    onclose value from local variable or value bindings

### setIconClass

    public void setIconClass(java.lang.String __iconClass)

  Class to be applied to icon element Setter for iconClass

  Parameters:
    `iconClass` - - new value

### getIconClass

    public java.lang.String getIconClass()

  Class to be applied to icon element Getter for iconClass

  Returns:
    iconClass value from local variable or value bindings

### setShowDelay

    public void setShowDelay(java.lang.Integer __showDelay)

  Delay between event and menu showing Setter for showDelay

  Parameters:
    `showDelay` - - new value

### getShowDelay

    public java.lang.Integer getShowDelay()

  Delay between event and menu showing Getter for showDelay

  Returns:
    showDelay value from local variable or value bindings

### setIconDisabled

    public void setIconDisabled(java.lang.String __iconDisabled)

  Path to the icon to be displayed for the disabled item state Setter for iconDisabled

  Specified by:
    `setIconDisabled` in class `UIMenuGroup`
  Parameters:
    `iconDisabled` - - new value

### getIconDisabled

    public java.lang.String getIconDisabled()

  Path to the icon to be displayed for the disabled item state Getter for iconDisabled

  Specified by:
    `getIconDisabled` in class `UIMenuGroup`
  Returns:
    iconDisabled value from local variable or value bindings

### setOnopen

    public void setOnopen(java.lang.String __onopen)

  HTML: script expression; group was opened Setter for onopen

  Parameters:
    `onopen` - - new value

### getOnopen

    public java.lang.String getOnopen()

  HTML: script expression; group was opened Getter for onopen

  Returns:
    onopen value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setIcon

    public void setIcon(java.lang.String __icon)

  Path to the icon to be displayed for the enabled item state Setter for icon

  Specified by:
    `setIcon` in class `UIMenuGroup`
  Parameters:
    `icon` - - new value

### getIcon

    public java.lang.String getIcon()

  Path to the icon to be displayed for the enabled item state Getter for icon

  Specified by:
    `getIcon` in class `UIMenuGroup`
  Returns:
    icon value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Returns:
    style value from local variable or value bindings

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

  HTML: a script expression; a pointer is moved onto Setter for onmouseover

  Parameters:
    `onmouseover` - - new value

### getOnmouseover

    public java.lang.String getOnmouseover()

  HTML: a script expression; a pointer is moved onto Getter for onmouseover

  Returns:
    onmouseover value from local variable or value bindings

### setIconFolderDisabled

    public void setIconFolderDisabled(java.lang.String __iconFolderDisabled)

  Path to the folder icon to be displayed for the enabled item state Setter for iconFolderDisabled

  Specified by:
    `setIconFolderDisabled` in class `UIMenuGroup`
  Parameters:
    `iconFolderDisabled` - - new value

### getIconFolderDisabled

    public java.lang.String getIconFolderDisabled()

  Path to the folder icon to be displayed for the enabled item state Getter for iconFolderDisabled

  Specified by:
    `getIconFolderDisabled` in class `UIMenuGroup`
  Returns:
    iconFolderDisabled value from local variable or value bindings

### setDisabled

    public void setDisabled(boolean __disabled)

  If "true" sets state of the item to disabled state. "false" is default Setter for disabled

  Specified by:
    `setDisabled` in class `UIMenuGroup`
  Parameters:
    `disabled` - - new value

### isDisabled

    public boolean isDisabled()

  If "true" sets state of the item to disabled state. "false" is default Getter for disabled

  Specified by:
    `isDisabled` in class `UIMenuGroup`
  Returns:
    disabled value from local variable or value bindings

### setSelectClass

    public void setSelectClass(java.lang.String __selectClass)

  Class to be applied to selected items Setter for selectClass

  Parameters:
    `selectClass` - - new value

### getSelectClass

    public java.lang.String getSelectClass()

  Class to be applied to selected items Getter for selectClass

  Returns:
    selectClass value from local variable or value bindings

### setSelectStyle

    public void setSelectStyle(java.lang.String __selectStyle)

  CSS style rules to be applied to selected items Setter for selectStyle

  Parameters:
    `selectStyle` - - new value

### getSelectStyle

    public java.lang.String getSelectStyle()

  CSS style rules to be applied to selected items Getter for selectStyle

  Returns:
    selectStyle value from local variable or value bindings

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

  HTML: a script expression; a pointer is moved away Setter for onmouseout

  Parameters:
    `onmouseout` - - new value

### getOnmouseout

    public java.lang.String getOnmouseout()

  HTML: a script expression; a pointer is moved away Getter for onmouseout

  Returns:
    onmouseout value from local variable or value bindings

### setDirection

    public void setDirection(java.lang.String __direction)

  Defines direction of the popup sublist to appear (right, left, auto(Default), left-down, left-up, right-down, right-up) Setter for direction

  Parameters:
    `direction` - - new value

### getDirection

    public java.lang.String getDirection()

  Defines direction of the popup sublist to appear (right, left, auto(Default), left-down, left-up, right-down, right-up) Getter for direction

  Returns:
    direction value from local variable or value bindings

### setIconStyle

    public void setIconStyle(java.lang.String __iconStyle)

  CSS style rules to be applied to icon element Setter for iconStyle

  Parameters:
    `iconStyle` - - new value

### getIconStyle

    public java.lang.String getIconStyle()

  CSS style rules to be applied to icon element Getter for iconStyle

  Returns:
    iconStyle value from local variable or value bindings

### setEvent

    public void setEvent(java.lang.String __event)

  Defines the event on the representation element that triggers the menu's appearance Setter for event

  Parameters:
    `event` - - new value

### getEvent

    public java.lang.String getEvent()

  Defines the event on the representation element that triggers the menu's appearance Getter for event

  Returns:
    event value from local variable or value bindings

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

  HTML: a script expression; a pointer is moved within Setter for onmousemove

  Parameters:
    `onmousemove` - - new value

### getOnmousemove

    public java.lang.String getOnmousemove()

  HTML: a script expression; a pointer is moved within Getter for onmousemove

  Returns:
    onmousemove value from local variable or value bindings

### setIconFolder

    public void setIconFolder(java.lang.String __iconFolder)

  Path to the folder icon to be displayed for the enabled item state Setter for iconFolder

  Specified by:
    `setIconFolder` in class `UIMenuGroup`
  Parameters:
    `iconFolder` - - new value

### getIconFolder

    public java.lang.String getIconFolder()

  Path to the folder icon to be displayed for the enabled item state Getter for iconFolder

  Specified by:
    `getIconFolder` in class `UIMenuGroup`
  Returns:
    iconFolder value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIOutput`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIOutput`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIOutput`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.